Subject: RE: [PATCH net-next-2.6 00/13] net-caif: introducing CAIF protocol stack

From: Marcel Holtmann <[email-masked]>
Date: Fri, 22 Jan 2010 11:19:21 +0100

Hi Sjur,

> >> This patch-set introduces the CAIF protocol Stack.
> >> 
> >> The "Communication CPU to Application CPU Interface" (CAIF) is a
> >> packet based connection-oriented MUX protocol developed by
> >> ST-Ericsson for use with its modems. 
> >> 
> >> * CAIF provides a socket interface which can be used to open virtual
> >>   AT channels, create and configure GPRS Data connections.
> >> 
> >> * A CAIF Network device is also provided for GPRS access.
> >>   This interface can be managed with socket IOCTLs or RTNL.
> >> 
> >> * A kernel interface is provided allowing Kernel modules to use CAIF.
> >> 
> >> * A serial link layer layer implemented as a line discipline is
> >>   currently implemented. Other link interfaces may be contributed at
> >> a later stage. 
> > 
> > any details on potential USB, SPI or SDIO drivers?
> 
> We have a SPI driver that we could contribute, 
> but I think it might need some more work before submitting it.
> Also I think it would be good to have this patch set accepted before we
> start on SPI.

personally I would like to see the SPI driver. So that we get a feeling
on how the low-level hardware abstraction has been done. And what are
the difference between the busses.

Also it doesn't have to be part of this patch set. Just send it as RFC
for review/reference. Submit early is always a good idea.

Regards

Marcel